Doomsday Engine - Bug #1661

[Deathkings] Bad behavior of object in lift (mobj hitbox overlap)
2013-11-11 09:06 - vermil

Status: New Start date: 2013-11-11
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

http://tracker.skyjake.fi/issues/869

Splitting off the other issue from this report that | missed that | was supposed to back in the day. My apologies.

| also figure | should link it to this other issue with mobj hitboxes next to walls: http:/tracker.skyjake.fi/issues/1660

On HeXen Death Kings, Map 35, there appears to be a similar case to the old Doom E1M7 column issue (at least as far as end
result), with an Ettin and a pillar that functions as a lift (sector 15 and thing 257).

The corner of the Ettin's hitbox slightly overlaps the lift, pretty much identically to the Sergeants on column in Doom. However he can
move away freely, if alerted, as in Vanilla.

However, unlike Vanilla, if the player tries to use the lift without alerting the Ettin, the Ettin suddenly jumps up to the lifts higher floor
and the lift becomes stuck, as if Dday is confused about what sector the Ettin was in, when the player went to use the lift.

Related issues:

Related to Bug #869: [Doom] E1M7 Comp Station column stuck Closed 2010-03-03
Related to Bug #1660: Player start near wall leads to misplaced player New 2013-11-10
Related to Bug #2042: Mobj spawning at sector boundary height should choose h... New 2015-05-09
History

#1 - 2013-11-11 10:31 - skyjake
- Tags changed from hexendk, hitbox to Hexen, PlaySim
- Subject changed from mobj hitbox overlap to [Deathkings] Bad behavior of object in lift (mobj hitbox overlap)

- Category set to Vanilla emulation

#2 - 2015-01-11 20:50 - vermil

I'd like to comment that a similar issue appears to occur with any moving platform; I've experienced bad guys partially on lifts repeatedly jumping up
and down (l.e I've had a stuck Demon first jump down when a lift starts moving down and then jump back up when the lift stops moving) or becoming
caught in the ceiling (when the lift movement should be considered blocked and hence reverse) as Dday get's confused about what sector the bad
guy is in.

#3 - 2015-05-15 14:26 - skyjake

- Tags changed from Hexen, PlaySim to Hexen, PlaySim, Deathkings

#4 - 2017-04-03 14:39 - skyjake
- Related to Bug #2042: Mobj spawning at sector boundary height should choose highest contacted floor added

#5 - 2017-04-03 14:39 - skyjake

- Target version set to Modding

#6 - 2019-11-29 22:58 - skyjake

- Target version changed from Modding to Vanilla / Gameplay
